#!/bin/bash

input_file="barcode2of5.json"
output_file="barcode2of5_report.png"
error_file="barcode2of5_error.json"

response=$(curl --request POST --data-binary @"$input_file" http://localhost:8886/code --output "$output_file" --write-out "%{http_code}")

if [ "$response" -ne 200 ]; then
  echo "Error while executing the request. Response code: $response"
  mv "$output_file" "$error_file"
else
  echo "The request was executed successfully. Response code: $response"
fi